Get Identity Verification

GEThttps://bank.dattaremit.com/api/identity_verifications/{identity_verification_guid}

Requires a bank-scoped key.

Retrieves an identity verification.

Required scope: identity_verifications:read Optional scope: identity_verifications:pii:read.

Path Params

identity_verification_guidstringrequired

Identifier for the identity verification.

Query Params

include_piiboolean

Include PII in the response (requires **identity_verifications:pii:read** scope).

Responses

200

identity verification found

401

Unauthorized

403

Forbidden

404

Not Found

Request

curl https://api.dattaremit.com/api/identity_verifications/{identity_verification_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

identity verification found

{
  "guid": "string",
  "type": "string",
  "method": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "customer_guid": "string",
  "counterparty_guid": "string",
  "external_bank_account_guid": "string",
  "state": "string",
  "outcome": "string",
  "failure_codes": [
    "string"
  ],
  "compliance_checks": [
    {
      "type": "string",
      "outcome": "string",
      "failure_codes": [
        "string"
      ]
    }
  ],
  "compliance_decisions": [
    {
      "type": "string",
      "state": "string",
      "failure_codes": [
        "string"
      ],
      "expired_at": "2026-07-20T16:27:51.438Z"
    }
  ],
  "persona_inquiry_id": "string",
  "persona_state": "string",
  "business_associates": [
    {
      "persona_inquiry_id": "string",
      "persona_state": "string",
      "customer_guid": "string",
      "role": "string",
      "email_address": "string",
      "state": "string"
    }
  ],
  "pii": {
    "name": {
      "first": "string",
      "middle": "string",
      "last": "string",
      "full": "string"
    },
    "aliases": [
      {
        "full": "string"
      }
    ],
    "address": {
      "street": "string",
      "street2": "string",
      "city": "string",
      "subdivision": "string",
      "postal_code": "string",
      "country_code": "string"
    },
    "date_of_birth": "1990-04-12",
    "phone_number": "string",
    "email_address": "string",
    "occupation": "string",
    "website": "string",
    "nature_of_business": "string",
    "registered_address": {
      "street": "string",
      "street2": "string",
      "city": "string",
      "subdivision": "string",
      "postal_code": "string",
      "country_code": "string"
    },
    "business_industry": "string",
    "business_funds_source": "string",
    "business_funds_destination": "string",
    "identification_numbers": [
      {
        "type": "string",
        "issuing_country_code": "string",
        "identification_number": "string",
        "issuing_subdivision": "string"
      }
    ]
  },
  "documents": [
    {
      "guid": "string",
      "type": "string",
      "validated": false,
      "expiration_date": "1990-04-12",
      "files": [
        {
          "guid": "string",
          "type": "string",
          "content_type": "string",
          "filename": "string",
          "metadata": {
            "part": null
          }
        }
      ]
    }
  ],
  "supporting_files": [
    {
      "guid": "string",
      "type": "string",
      "validated": false,
      "expiration_date": "1990-04-12",
      "files": [
        {
          "guid": "string",
          "type": "string",
          "content_type": "string",
          "filename": "string",
          "metadata": {
            "part": null
          }
        }
      ]
    }
  ],
  "options": {
    "require_tax_id": false
  }
}